comedi_get_maxdata
Prev | 5.4.1. Core Functions | Next

## Name

comedi_get_maxdata — maximum sample of channel

## Synopsis

    #include <comedilib.h>

`lsampl_t comedi_get_maxdata(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel`)`;

## Description

The function `comedi_get_maxdata` returns the maximum valid data value for channel `channel` of subdevice `subdevice` belonging to the comedi device `device`.

## Return value

The maximum valid sample value, or `0` on error.

Prev | Up | Next
comedi_get_driver_name | Home | comedi_get_n_channels